Subject: bug#59003: closed (Re: bug#59003: [PATCH 0/7] [Installer] Warn about unsupported devices)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 15 Nov 2022 11:25:02 +0000

Your bug report

#59003: [PATCH 0/7] [Installer] Warn about unsupported devices

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59003: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59003
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59003: [PATCH 0/7] [Installer] Warn about unsupported devices
From: Ludovic Courtès <[email-masked]>
To: "pelzflorian (Florian Pelz)" <[email-masked]>
Cc: Mathieu Othacehe <[email-masked]>, [email-masked]
Date: Tue, 15 Nov 2022 12:24:23 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>> +(define %unsupported-linux-modules
>> +  '([…]
>> +    ;; Graphics.
>> +    "amdgpu"
>> +    "radeon"
>
> Yes, this is fine, I think, even though AMD users will have also gotten
> the uvesafb warning before and even though allegedly some AMD devices
> work okay without firmware (except for 3d, according to h-node).

Right, I think it’s only 3D that won’t work.  Maybe we should remove
them?  Dunno, we also want to warn about things that will not work to
its fullest.  Maybe we should reword the sentence?  Like:

  Unfortunately, it means those devices will not be usable.
  ->
  Unfortunately, it means those devices will not be usable or that some
  features will be unavailable.

WDYT?

> Also with the previous v1 patch revision (I had missed that), and now
> testing on a PC with non-working AMD graphics, when I first select
> shell-based install, I get the warning, then switch back to the
> installer with Alt-F1 and select graphical installation, after first
> seeing the uvesafb warning, the installer crashes.  installer-backtrace
> is this:

Oops, thanks; I fixed that recursive call in ‘run-welcome-page’.

I also added a sentence under “Hardware Considerations” mentioning this
warning and pushed the whole thing, in the hope we can call for testing
real soon.

  514fedbf39 * installer: Report known-unsupported PCI devices.
  6b39c3afcc * installer: Error page width is parameterized.
  938d6161cb * installer: Use 'current-guix' for extensions.
  afbd4d8470 * linux-modules: Add 'load-pci-device-database'.
  655fb8feac * linux-modules: Add support for listing PCI devices.
  4f7ffb97a4 * installer: Warn about hardware support after the welcome page.

Thanks,
Ludo’.

Subject: [PATCH 0/7] [Installer] Warn about unsupported devices
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Thu, 3 Nov 2022 20:17:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

As discussed at <https://issues.guix.gnu.org/58357>, this patch
series is an attempt to improve user experience by having the
installer warn early on about devices that are known to not be
supported by free software.

Currently only one such device is listed (Intel WiFi, the ‘iwlwifi’
Linux module) but I count on you, dear reader, to suggest a few
more.  What’s particularly important here are things that will
lead to important loss of functionality: WiFi, Ethernet, sound
support, graphics, etc.  Newer laptops are known to require
non-free firmware a range of devices¹ and it would be nice to
cover the important ones.

Thoughts?

Ludo’.

¹ https://blog.einval.com/2022/04/19#firmware-what-do-we-do

Ludovic Courtès (7):
  installer: Warn about hardware support after the welcome page.
  linux-modules: Add support for listing PCI devices.
  linux-modules: Add 'load-pci-device-database'.
  installer: Use 'current-guix' for extensions.
  installer: Error page width is parameterized.
  installer: Report known-unsupported PCI devices.
  installer: Remove unused variable.

 gnu/build/linux-modules.scm    | 135 ++++++++++++++++++++++++++++-
 gnu/installer.scm              |   8 +-
 gnu/installer/newt.scm         |   8 +-
 gnu/installer/newt/page.scm    |  12 +--
 gnu/installer/newt/welcome.scm | 153 ++++++++++++++++++++++++---------
 gnu/installer/record.scm       |   2 +-
 6 files changed, 260 insertions(+), 58 deletions(-)

base-commit: 973dc4564e874107ac56d39ece2a2224cf926fe6
-- 
2.38.0